# Class Include

java.lang.Object
org.eclipse.help.internal.UAElement
org.eclipse.help.internal.Include

All Implemented Interfaces:
  `IInclude, IUAElement`

public class Include extends UAElement implements IInclude

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTE_PATH`
`static final String`
`NAME`

### Fields inherited from class UAElement

`children`

## Constructor Summary

Constructors
Constructor
Description
`Include(IInclude src)`
`Include(Element src)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
An href pointing to a document element.
`void`
`setPath(String path)`

### Methods inherited from class UAElement

`appendChild, appendChildren, getAttribute, getChildren, getChildren, getElement, getElementName, getParentElement, insertBefore, isEnabled, removeChild, setAttribute`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IUAElement

`getChildren, isEnabled`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### ATTRIBUTE_PATH

public static final String ATTRIBUTE_PATH

See Also:
  - Constant Field Values

## Constructor Details

### Include

public Include(IInclude src)

### Include

public Include(Element src)

## Method Details

### getPath

public String getPath()
Description copied from interface: `IInclude`
An href pointing to a document element. The href has the form `/plugin_id/path/file.ext#anchorId`. For example, to include the element with id `myId` in the XML file `files/myFile.xml` under plug-in `my.plugin`, the path is `/my.plugin/files/myFile.xml#myId`.

Specified by:
  `getPath` in interface `IInclude`
Returns:
  the path of the element to include

### setPath

public void setPath(String path)